QGIS Application - Bug report #10702
Processing/GRASS: Better handlig missing error layer
2014-06-24 10:21 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19095
Description

The module v.clean by default is asked to load the error layer. In case the analysis ends up without errors, the layer is not created, and the
user is presented with a scary and difficult to understand message.
This should be handled more gracefully, e.g. with a message "No errors found - no error layer produced".

History

#1 - 2014-11-17 11:46 PM - Alexander Bruy
- Category changed from 94 to Processing/GRASS

#2 - 2015-06-01 10:16 AM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Open to Closed

the error of Processing error message have been improved recently. Moreover with v.clean in GRASS7 it seems that the error layer is always produced (is
empty if there are no errors).
